Subject: bug#4207: 23.1; vc-dir with git uses wrong base directory

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 20 Aug 2009 21:01:59 -0700 (PDT)

merge 1589 4207 3359
quit

Tom Tromey <[email-masked]> writes:

  > I have a git working tree.
  > 
  > I ran vc-dir on a subdirectory of this tree.
  > 
  > In *vc-dir*, I go to an edited file and type '='.
  > 
  > Emacs says: No changes between working revision and workfile
  > 
  > However, if I look at *Messages*, I can see from the "Finding changes"
  > output that VC is examining the wrong file -- the subdirectory's name
  > appears twice in the computed file name.
  > 
  > E.g., the message says:
  > 
  > Finding changes in /home/tromey/gnu/archer/archer/gdb/gdb/mi/mi-cmd-var.c...
  > 
  > ... but no such file exists, the file is actually called
  > 
  >     /home/tromey/gnu/archer/archer/gdb/mi/mi-cmd-var.c
  > 
  > (one less "gdb" in there)

Thanks, this is the same issue as bug 1589